require_relative('hash.rb')
require_relative('pull.rb')
require_relative('update.rb')
require_relative('setup.rb')
require_relative('build.rb')
require_relative('test.rb')
require_relative('analyze.rb')
require_relative('publish.rb')
require_relative('doc.rb')
require_relative('clean.rb')
require_relative('clobber.rb')
require_relative('add.rb')
require_relative('commit.rb')
require_relative('push.rb')

class Commands < Hash

	def initialize directory=Dir.pwd
		Dir.chdir(directory) do
		  self[:pull]=Pull.new
		  self[:update]=Update.new
		  self[:setup]=Setup.new
		  self[:build]=Build.new
		  self[:test]=Test.new
		  self[:analyze]=Analyze.new
		  self[:doc]=Doc.new
		  self[:clean]=Clean.new
		  self[:publish]=Publish.new
		  self[:clobber]=Clobber.new
		  self[:add]=Add.new
		  self[:commit]=Commit.new
		  self[:push]=Push.new
	    end
	end

end