require 'json'
require 'rake/clean'

CLEAN.include('obj','tmp')
CLEAN.include('*.{sdf,sud,ncb,cache,user}')
CLOBBER.include('bin','doc','*.gem','tmp')
CLOBBER.include('*.{dll,pdb}')

SOURCE=FileList.new('LICENSE','README','README.md',"Gemfile")
SOURCE.include('*.{gitignore,yml,gemspec,rb}')
SOURCE.include('*.{cs}')
SOURCE.include('*.{c,h}')
SOURCE.include('*.{cpp,hpp}')

require_relative('info.rb')
require_relative('array.rb')
require_relative('command.rb')
require_relative('commands.rb')
require_relative('text.rb')
require_relative('gemspec.rb')
require_relative('git.rb')
require_relative('msbuild.rb')

COMMANDS=Commands.new
MSBUILD=MSBuild.new
